%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without mead

%define section free

%global reltag _fc_2
%global meadversion %{version}.Final_fc_2
%global mavenversion %{version}.Final-fc-2

%global mavengroup org.jboss.spec.javax.servlet.jstl
%global artifact0 %{name}

%global title JBoss JSTL 1.2 API Spec

%define maven_version 1.0.3.Final-redhat-2

Name:    jboss-jstl-api_1.2
Version: 1.0.3
Release: 3.Final%{reltag}%{?dist}
Epoch:   0

License: LGPLv2+
Summary: %{title}
Group:   Development/Libraries/Java

%if %with mead
Source100: org.jboss.spec.javax.servlet.jstl-jboss-jstl-api_1.2-1.0.3.Final-fc-2-sources.zip
Source101: org.jboss.spec.javax.servlet.jstl-jboss-jstl-api_1.2-1.0.3.Final-fc-2-patches.zip
Source102: jboss-jstl-api_1.2-1.0.3.Final-fc-2.pom
Source103: jboss-jstl-api_1.2-1.0.3.Final-fc-2-javadoc.jar
Source104: jboss-jstl-api_1.2-1.0.3.Final-fc-2.jar
Source105: jboss-jstl-api_1.2-1.0.3.Final-fc-2-sources.jar
%endif

URL:     https://github.com/jboss/jboss-jstl-api_spec

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

%description
JBoss implementation of the JavaServer Pages Standard Tag Library API specification version 1.2.

%if %without mead
%package javadoc
Summary:  Javadoc for %{title}
Group:    Development/Documentation

Requires: jpackage-utils

%description javadoc
API documentation for %{title}.

%package sources
Summary:  Sources of %{title}
Group:    Development/Libraries/Java

Requires: jpackage-utils

%description sources
Sources of %{title}.
%endif

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}

%{__cp} -p %{_sourcedir}/%{artifact0}-%{mavenversion}.jar %{buildroot}%{_javadir}/%{artifact0}-%{mavenversion}.jar
%if %without mead
%{__cp} -p %{_sourcedir}/%{artifact0}-%{mavenversion}-javadoc.jar %{buildroot}%{_javadir}/%{artifact0}-%{mavenversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/%{artifact0}-%{mavenversion}-sources.jar %{buildroot}%{_javadir}/%{artifact0}-%{mavenversion}-sources.jar
%endif

(cd %{buildroot}%{_javadir} && for jar in *-%{mavenversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{mavenversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/%{artifact0}-%{mavenversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact0}.pom


%if %without mead
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}
%{__unzip} -qq %{_sourcedir}/%{artifact0}-%{mavenversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}/META-INF
%{__ln_s} %{name}-%{mavenversion} %{buildroot}%{_javadocdir}/%{name}
%endif

%post

%postun

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_javadir}*
%if %without mead
%exclude %{_javadir}*/*-javadoc.jar
%exclude %{_javadir}*/*-sources.jar
%exclude %{_javadocdir}
%endif
%{_mavenpomdir}/*

%if %without mead
%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{mavenversion}
%{_javadocdir}/%{name}

%files sources
%defattr(-,root,root,-)
%dir %{_javadir}*
%{_javadir}*/*-sources.jar
%exclude %{_javadocdir}
%{_mavenpomdir}/*
%endif

%changelog
* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-3.Final_redhat_2
- Rebuild for MD5

* Mon Aug 20 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.3-2.Final_redhat_2
- Update poms for eap 6.0.1

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_1.1
- Rebuild using cache signing

* Thu May 03 2012 Lin Gao <lgao@redhat.com> - 0:1.0.3-1.Final_redhat_1
- Upgrade to 1.0.3.Final

* Tue Mar 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.2-3.Final_redhat_1.3
- Populate java-signed

* Tue Mar 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.2-2_redhat_1.2
- Change jars install path

* Wed Feb 08 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.2-2_redhat_1.1
- Rebuild wrapper independently

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 0:1.0.2-2_redhat_1
- Rebuild to use new signing key

* Fri Feb 03 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.0.2-1_redhat_1
- 1.0.2.Final - Thanks to dosoudil for the tag in the prod branch
- Merge wrapper build back into mead build

* Thu Feb 02 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.0.1-3_redhat_1
- Add mead-wrapper.sh for new wrapper
- Update mead.sh
- Resign with new key

* Fri Nov 04 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.1-2_redhat_1
- Fix dependency on xalan
- Rebuild from git repository

* Tue Aug 23 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.1-1_redhat_1
- Patched by vman

* Thu May 26 2011 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-1
- Adapted from jboss-jaxrpc_1.1_spec
